import { useState, useEffect } from 'react';
import { csv } from 'd3';

export const useData = (url) => {
  const [data, setData] = useState(null);
   useEffect(() => {
    const row = d => {
      d['Reported Date'] = new Date(d['Reported Date']);
      d['Total Dead and Missing'] = +d['Total Dead and Missing'];
      d.coords = d['Location Coordinates'].split(',').map(d => +d).reverse();
      
      return d;
    };
    csv(url, row).then(setData);
  }, []);
  
  return { data };
}